> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminsystemworkers



## OpenAPI

````yaml /openapi.json get /admin/system/workers
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /admin/system/workers:
    get:
      tags:
        - Admin
      operationId: get-admin-system-workers
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/AdminWorkersHealthResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AdminWorkersHealthResponse:
      type: object
      title: AdminWorkersHealthResponse
      required:
        - transcription
        - summarisation
        - document
        - hirag
      properties:
        transcription:
          $ref: '#/components/schemas/WorkerTypeHealth'
        summarisation:
          $ref: '#/components/schemas/WorkerTypeHealth'
        document:
          $ref: '#/components/schemas/WorkerTypeHealth'
        hirag:
          $ref: '#/components/schemas/WorkerTypeHealth'
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    WorkerTypeHealth:
      type: object
      title: WorkerTypeHealth
      required:
        - healthy
      properties:
        healthy:
          type: integer
          format: int64

````